import { DesignPackage } from './design-package';
import { NewDesignPackage, DesignPackagePatch } from './design-package-type';
export declare class DesignPackageMutation {
    createDesignPackage(designPackage: NewDesignPackage, context: ResolverContext): Promise<DesignPackage>;
    updateDesignPackage(id: string, patch: DesignPackagePatch, context: ResolverContext): Promise<DesignPackage>;
    deleteDesignPackage(id: string, context: ResolverContext): Promise<boolean>;
    registerProcessAsTemplate(id: string, name: string, description: string, visibility: string, context: ResolverContext): Promise<DesignPackage>;
}
